### Method

# Vips Buf init_static

#### Declaration [src]

    void
    vips_buf_init_static (
      VipsBuf* buf,
      char* base,
      int mx
    )

#### Description [src]

Initialise and attach to a static memory area. `VIPS_BUF_STATIC()` is usually more convenient.

For example:

    char txt[256];
    VipsBuf buf;

    vips_buf_init_static(&buf, txt, 256);

Static buffers don’t need to be freed when they go out of scope, but their size must be set at compile-time.

#### Parameters

`base`

  Type: `char*`

  The start of the memory area to use for storage.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mx`

  Type: `int`

  The size of the storage area.